curl --request GET \
--url https://default.ulm.stg.m1amdocs.io/storefront/subscription/{autobillId}/billingDetail \
--header 'Authorization: Bearer <token>'import requests
url = "https://default.ulm.stg.m1amdocs.io/storefront/subscription/{autobillId}/billingDetail"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://default.ulm.stg.m1amdocs.io/storefront/subscription/{autobillId}/billingDetail', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://default.ulm.stg.m1amdocs.io/storefront/subscription/{autobillId}/billingDetail",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://default.ulm.stg.m1amdocs.io/storefront/subscription/{autobillId}/billingDetail"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://default.ulm.stg.m1amdocs.io/storefront/subscription/{autobillId}/billingDetail")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://default.ulm.stg.m1amdocs.io/storefront/subscription/{autobillId}/billingDetail")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": "<string>",
"vid": "<string>",
"created": "<string>",
"status": "Pending Activation",
"payment_method": {
"id": "<string>",
"vid": "<string>"
},
"billing_plan": {
"id": "<string>",
"vid": "<string>",
"object": "BillingPlan",
"created": "<string>",
"description": "<string>",
"status": "Active",
"tax_classification": "<string>",
"br_tax_category": "<string>",
"trial": {
"object": "BillingPlanPeriod",
"type": "Day",
"quantity": 123,
"cycles": 123,
"prices": {
"object": "List",
"total_count": 123,
"data": [
{
"object": "<string>",
"amount": 123,
"currency": "<string>",
"price_list_name": "<string>",
"token_amount": {
"object": "TokenAmount",
"token": {
"object": "Token",
"id": "<string>",
"vid": "<string>",
"description": "<string>"
},
"amount": 123,
"source": "<string>"
}
}
]
}
},
"periods": {
"object": "List",
"total_count": 123,
"data": [
{
"object": "BillingPlanPeriod",
"type": "Day",
"quantity": 123,
"cycles": 123,
"prices": {
"object": "List",
"total_count": 123,
"data": [
{
"object": "<string>",
"amount": 123,
"currency": "<string>",
"price_list_name": "<string>",
"token_amount": {
"object": "TokenAmount",
"token": {
"object": "Token",
"id": "<string>",
"vid": "<string>",
"description": "<string>"
},
"amount": 123,
"source": "<string>"
}
}
]
}
}
]
},
"billing_notification_days": 123,
"trial_end_notification_days": 123,
"skip_initial_billing_notification": true,
"end_of_life": "<string>",
"metadata": {},
"billing_descriptor": "<string>",
"times_to_run": "<string>",
"entitlements_valid_for": "<string>",
"repeat_every": "<string>",
"days_before_season_to_bill": 123,
"days_entitled_before_season": 123,
"days_entitled_after_season": 123,
"entitled_off_season": true,
"used_on_subscriptions": true,
"grace_period_override": 123
},
"billing_state": "Free/Trial",
"starts": "<string>",
"ends": "<string>",
"entitled_through": "<string>",
"billing_day": 123,
"minimum_commitment": 123,
"most_recent_billing": {
"id": "<string>",
"vid": "<string>",
"created": "<string>",
"amount": 123,
"original_amount": 123,
"currency": "<string>",
"items": [
{
"sku": "<string>",
"index_number": 123,
"item_type": "<string>",
"name": "<string>",
"price": 123,
"metadata": {},
"quantity": 123,
"tax_classification": "<string>",
"campaign_code": "<string>",
"campaign_id": "<string>",
"campaign_description": "<string>",
"service_period_starts": "<string>",
"service_period_ends": "<string>",
"tax_type": "<string>",
"tax": [
{
"object": "<string>",
"jurisdiction": "<string>",
"name": "<string>",
"amount": 123,
"external_tax_name": "<string>",
"external_tax_category": "<string>",
"external_jurisdiction_name": "<string>",
"tax_rate": 123
}
],
"discount": 123,
"subtotal": 123,
"total": 123
}
]
},
"next_billing": {
"id": "<string>",
"vid": "<string>",
"created": "<string>",
"amount": 123,
"original_amount": 123,
"currency": "<string>",
"items": [
{
"sku": "<string>",
"index_number": 123,
"item_type": "<string>",
"name": "<string>",
"price": 123,
"metadata": {},
"quantity": 123,
"tax_classification": "<string>",
"campaign_code": "<string>",
"campaign_id": "<string>",
"campaign_description": "<string>",
"service_period_starts": "<string>",
"service_period_ends": "<string>",
"tax_type": "<string>",
"tax": [
{
"object": "<string>",
"jurisdiction": "<string>",
"name": "<string>",
"amount": 123,
"external_tax_name": "<string>",
"external_tax_category": "<string>",
"external_jurisdiction_name": "<string>",
"tax_rate": 123
}
],
"discount": 123,
"subtotal": 123,
"total": 123
}
]
},
"balance": 123
}{
"code": "invalid-request",
"message": "<string>",
"validationErrors": [
{
"code": "<string>",
"message": "<string>"
}
]
}{
"code": "<string>",
"message": "<string>"
}{
"code": "not-found",
"message": "<string>"
}{
"code": "server-error",
"message": "<string>"
}Get purchased subscription billing details
Get a purchased subscription’s billing details
curl --request GET \
--url https://default.ulm.stg.m1amdocs.io/storefront/subscription/{autobillId}/billingDetail \
--header 'Authorization: Bearer <token>'import requests
url = "https://default.ulm.stg.m1amdocs.io/storefront/subscription/{autobillId}/billingDetail"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://default.ulm.stg.m1amdocs.io/storefront/subscription/{autobillId}/billingDetail', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://default.ulm.stg.m1amdocs.io/storefront/subscription/{autobillId}/billingDetail",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://default.ulm.stg.m1amdocs.io/storefront/subscription/{autobillId}/billingDetail"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://default.ulm.stg.m1amdocs.io/storefront/subscription/{autobillId}/billingDetail")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://default.ulm.stg.m1amdocs.io/storefront/subscription/{autobillId}/billingDetail")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": "<string>",
"vid": "<string>",
"created": "<string>",
"status": "Pending Activation",
"payment_method": {
"id": "<string>",
"vid": "<string>"
},
"billing_plan": {
"id": "<string>",
"vid": "<string>",
"object": "BillingPlan",
"created": "<string>",
"description": "<string>",
"status": "Active",
"tax_classification": "<string>",
"br_tax_category": "<string>",
"trial": {
"object": "BillingPlanPeriod",
"type": "Day",
"quantity": 123,
"cycles": 123,
"prices": {
"object": "List",
"total_count": 123,
"data": [
{
"object": "<string>",
"amount": 123,
"currency": "<string>",
"price_list_name": "<string>",
"token_amount": {
"object": "TokenAmount",
"token": {
"object": "Token",
"id": "<string>",
"vid": "<string>",
"description": "<string>"
},
"amount": 123,
"source": "<string>"
}
}
]
}
},
"periods": {
"object": "List",
"total_count": 123,
"data": [
{
"object": "BillingPlanPeriod",
"type": "Day",
"quantity": 123,
"cycles": 123,
"prices": {
"object": "List",
"total_count": 123,
"data": [
{
"object": "<string>",
"amount": 123,
"currency": "<string>",
"price_list_name": "<string>",
"token_amount": {
"object": "TokenAmount",
"token": {
"object": "Token",
"id": "<string>",
"vid": "<string>",
"description": "<string>"
},
"amount": 123,
"source": "<string>"
}
}
]
}
}
]
},
"billing_notification_days": 123,
"trial_end_notification_days": 123,
"skip_initial_billing_notification": true,
"end_of_life": "<string>",
"metadata": {},
"billing_descriptor": "<string>",
"times_to_run": "<string>",
"entitlements_valid_for": "<string>",
"repeat_every": "<string>",
"days_before_season_to_bill": 123,
"days_entitled_before_season": 123,
"days_entitled_after_season": 123,
"entitled_off_season": true,
"used_on_subscriptions": true,
"grace_period_override": 123
},
"billing_state": "Free/Trial",
"starts": "<string>",
"ends": "<string>",
"entitled_through": "<string>",
"billing_day": 123,
"minimum_commitment": 123,
"most_recent_billing": {
"id": "<string>",
"vid": "<string>",
"created": "<string>",
"amount": 123,
"original_amount": 123,
"currency": "<string>",
"items": [
{
"sku": "<string>",
"index_number": 123,
"item_type": "<string>",
"name": "<string>",
"price": 123,
"metadata": {},
"quantity": 123,
"tax_classification": "<string>",
"campaign_code": "<string>",
"campaign_id": "<string>",
"campaign_description": "<string>",
"service_period_starts": "<string>",
"service_period_ends": "<string>",
"tax_type": "<string>",
"tax": [
{
"object": "<string>",
"jurisdiction": "<string>",
"name": "<string>",
"amount": 123,
"external_tax_name": "<string>",
"external_tax_category": "<string>",
"external_jurisdiction_name": "<string>",
"tax_rate": 123
}
],
"discount": 123,
"subtotal": 123,
"total": 123
}
]
},
"next_billing": {
"id": "<string>",
"vid": "<string>",
"created": "<string>",
"amount": 123,
"original_amount": 123,
"currency": "<string>",
"items": [
{
"sku": "<string>",
"index_number": 123,
"item_type": "<string>",
"name": "<string>",
"price": 123,
"metadata": {},
"quantity": 123,
"tax_classification": "<string>",
"campaign_code": "<string>",
"campaign_id": "<string>",
"campaign_description": "<string>",
"service_period_starts": "<string>",
"service_period_ends": "<string>",
"tax_type": "<string>",
"tax": [
{
"object": "<string>",
"jurisdiction": "<string>",
"name": "<string>",
"amount": 123,
"external_tax_name": "<string>",
"external_tax_category": "<string>",
"external_jurisdiction_name": "<string>",
"tax_rate": 123
}
],
"discount": 123,
"subtotal": 123,
"total": 123
}
]
},
"balance": 123
}{
"code": "invalid-request",
"message": "<string>",
"validationErrors": [
{
"code": "<string>",
"message": "<string>"
}
]
}{
"code": "<string>",
"message": "<string>"
}{
"code": "not-found",
"message": "<string>"
}{
"code": "server-error",
"message": "<string>"
}Authorizations
OAuth 2.0 Authentication
Path Parameters
The autobillId of the Subscription.
Response
OK
Subscription billing details.
A unique identifier.
256A Globally Unique Identifier (GUID) for this object. This value is generated by MarketONE.
128The date/time at which the subscription was requested.
The status of the subscription from a service and entitlement perspective.
Pending Activation, Active, Paused, Pending Pause, Pending Resume, Pending Cancel, Cancelled, Expired, Processing, Deleted, Dryrun, Unknown, Upgraded, Legacy Suspended, Bogus AutoBill Status Show child attributes
Show child attributes
Show child attributes
Show child attributes
The financial state of the subscription.
Free/Trial, Billing Completed, Failed To Collect, Free Period, Paused, Good Standing, Grace Period, In Retry, Legacy Unknown BillingState, Overdue, Pending Acceptance, Terminated, Unbilled, Unknown, Unusable PaymentMethod, Pending Resume, Pending Pause, Bogus BillingState The date/time the subscription starts service.
The date/time the subscription ends service.
The date/time to which the subscription will entitle service if no further payments are made – a “paid thru” date based on billing schedule and grace period.
The day of the month on which the subscription is (typically) billed. Often called an “anniversary date.”
Number of billing cycles customer is obligated to maintain the subscription. Cancelling before this time requires aggregator to “force” cancellation.
The Transaction object returning information about a customer charge.
Show child attributes
Show child attributes
The Transaction object returning information about a customer charge.
Show child attributes
Show child attributes
Was this page helpful?

